API ReferenceCarbon intensity level
Latest
get
/v4/carbon-intensity-level/latestGet the latest carbon intensity level for a zone. Levels are classified on hourly data.
Query Parameters
zone optional
An Electricity Maps zone key.
Example: "DK-DK2"
lat optional
Latitude of the location to get the data for.
Example: 41.877
lon optional
Longitude of the location to get the data for.
Example: -88.0703
disableCallerLookup optional
If true, the fallback IP-based zone lookup will not be performed.
Default: false
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/carbon-intensity-level/latest"{ "zone": "DK-DK2", "data": [ { "level": "low", "datetime": "2024-05-19T03:00:00.000Z" } ]}Playground
get
/v4/carbon-intensity-level/latestExplore the API with a 14-day trial.